package hviezdoslav.synonyms;

import java.util.ArrayList;

public class Meaning {
  private ArrayList examples = new ArrayList();
  private ArrayList variants = new ArrayList();
  private ArrayList links = new ArrayList();

  private String ident = "";
  private String name = "";

  /* -------------- constructors */
  public Meaning() {
  }

  public Meaning(String name) {
    this.name = name;
  }

  public Meaning(String name, String ident) {
    this(name);
  }
  /* -------------- getters and setters */
  public ArrayList getExamples() {
    return examples;
  }

  public void setExamples(ArrayList value) {
    examples = value;
  }

  public ArrayList getVariants() {
    return variants;
  }

  public void setVariants(ArrayList value) {
    variants = value;
  }

  public ArrayList getLinks() {
    return links;
  }

  public void setLinks(ArrayList value) {
    links = value;
  }

  public String getIdent() {
    return ident;
  }

  public void setIdent(String value) {
    ident = value;
  }

  public String getName() {
    return name;
  }

  public void setName(String value) {
    name = value;
  }
}