package hviezdoslav.synonyms;

import java.util.ArrayList;

public class Variant {
  private ArrayList examples = new ArrayList();
  private ArrayList links = new ArrayList();

  private String name = "";

  /* -------------- constructors */
  public Variant() {
  }

  public Variant(String name) {
    this.name = name;
  }

  /* -------------- getters and setters */
  public ArrayList getExamples() {
    return examples;
  }

  public void setExamples(ArrayList value) {
    examples = value;
  }

  public ArrayList getLinks() {
    return links;
  }

  public void setLinks(ArrayList value) {
    links = value;
  }

  public String getName() {
    return name;
  }

  public void setName(String value) {
    name = value;
  }

  /* -------------- helper methods */
  public void addExampleUsage(ExampleUsage xmp) {
    this.examples.add(xmp);
  }

  public void addLink(Link l) {
    this.links.add(l);
  }
}