package hviezdoslav.synonyms.xml;

import org.xml.sax.Attributes;
import org.xml.sax.ContentHandler;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;

import org.apache.log4j.Logger;

public class SynonymReader implements ContentHandler{
  private static Logger logger = Logger.getLogger(SynonymReader.class);

  private Locator locator;
  private StringBuffer cBuffer = new StringBuffer();
  String soughtSynonym = "";
  public SynonymReader(String synonym) {
    this.soughtSynonym = synonym;
  }
  //------------------------------------------------------------
  public void setDocumentLocator(Locator locator) {
    this.locator = locator;
  }

  public void startDocument() throws SAXException {
  }

  public void endDocument() throws SAXException {

  }

  public void startPrefixMapping(String prefix, String uri) throws SAXException {

  }

  public void endPrefixMapping(String prefix) throws SAXException {

  }

  public void startElement(String namespaceURI, String localName, String qName, Attributes atts) throws SAXException {
    String elementName = qName;

    if(localName.equals("slovo")) {
      cBuffer.setLength(0);
    }
  }

  public void endElement(String namespaceURI, String localName, String qName)
    throws SAXException
  {
    if(localName.equals("slovo")) {
      if(cBuffer.equals(soughtSynonym)) {
        System.out.println("Synonym found: " + cBuffer);
      }
    }
    //use buffer and clear it
    cBuffer.setLength(0);
  }

  public void characters(char[] ch, int start, int length)
    throws SAXException
  {
    cBuffer.append(ch, start, length);
  }

  public void ignorableWhitespace(char[] ch, int start, int length)
    throws SAXException
  {

  }

  public void processingInstruction(String target, String data)
    throws SAXException
  {

  }

  public void skippedEntity(String name) throws SAXException {

  }
}