package hviezdoslav.synonyms.xml.test;

import hviezdoslav.synonyms.xml.SynonymContentHandler;

import javax.xml.parsers.SAXParserFactory;
import javax.xml.parsers.SAXParser;

import org.xml.sax.XMLReader;
import org.xml.sax.InputSource;
import org.apache.xml.utils.DefaultErrorHandler;


public class ConsoleSynonymTest  {
  private SynonymContentHandler synHandler;
  private XMLReader parser;

  public ConsoleSynonymTest() {
    this.synHandler = new SynonymContentHandler("abonent");

    try {
      System.out.println("Instantiating XML parser.");
      // instantiate new XMLReader which will parse XML
      parser = SAXParserFactory.newInstance().newSAXParser().getXMLReader();

      // set SAX ContentHandler
      parser.setContentHandler(this.synHandler);
      // set ErrorHandler
      parser.setErrorHandler(new DefaultErrorHandler(System.err));
      parser.parse("c:\\Projects\\hviezdoslav\\data\\synslovnik.xml");
    } catch (Exception e) {
      e.printStackTrace(System.err);
    }
  }

  public static void main(String[] args) {
    ConsoleSynonymTest cst = new ConsoleSynonymTest();
  }

}